package datastructures

// Factorial a function that computes the factorial or a number. Big (n) time and space complexity. For loop could use less memory.
func Factorial(n int) int {
	if n < 1 {
		return 1
	}

	return n * Factorial(n-1)
}

func Fib(n int) int {
	if n < 1 {
		return 1
	}

	return Fib(n-1) + Fib(n-2)
}
